package com.qq.e.demo;

import java.util.Arrays;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.ViewGroup.LayoutParams;
import android.widget.AbsListView;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import com.qq.e.ads.AdRequest;
import com.qq.e.ads.AdSize;
import com.qq.e.ads.AdView;

public class BannerInListHeaderActivity extends Activity {

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.activity_list_view);
    ListView lst = (ListView) this.findViewById(R.id.list);
    final AdView adview = new AdView(this, AdSize.BANNER, Constants.APPId, Constants.BannerPosId);
    AbsListView.LayoutParams layout =
        new AbsListView.LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.WRAP_CONTENT);
    adview.setLayoutParams(layout);
    lst.addHeaderView(adview);
    lst.setAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, Arrays
        .asList(new String[] {"a", "b"})));
    adview.fetchAd(new AdRequest());

  }

  @Override
  public boolean onCreateOptionsMenu(Menu menu) {
    // Inflate the menu; this adds items to the action bar if it is present.
    return true;
  }

}
