package com.qq.e.demo;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.KeyEvent;
import android.widget.FrameLayout;
import android.widget.Toast;

import com.qq.e.splash.SplashAd;
import com.qq.e.splash.SplashAdListener;

public class FullscreenActivity extends Activity {
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_fullscreen);
		FrameLayout container = (FrameLayout) this
				.findViewById(R.id.splashcontainer);

		new SplashAd(this, container, Constants.APPId, Constants.SplashPosId,
				new SplashAdListener() {

					@Override
					public void onAdPresent() {
						Log.i("test", "present");
						Toast.makeText(FullscreenActivity.this,
								"SplashPresent", Toast.LENGTH_LONG).show();
					}

					@Override
					public void onAdFailed(int arg0) {
						Log.i("test", "fail" + arg0);
						Toast.makeText(FullscreenActivity.this,
								"SplashFail" + arg0, Toast.LENGTH_LONG).show();
						FullscreenActivity.this.finish();
					}

					@Override
					public void onAdDismissed() {
						Log.i("test", "dismiss");
						Toast.makeText(FullscreenActivity.this,
								"SplashDismissed", Toast.LENGTH_LONG).show();
						FullscreenActivity.this.finish();
					}
				});
	}

	@Override
	public boolean onKeyDown(int keyCode, KeyEvent event) {
		if (keyCode == KeyEvent.KEYCODE_BACK
				|| keyCode == KeyEvent.KEYCODE_HOME) {
			return true;
		}
		return super.onKeyDown(keyCode, event);
	}
}
