package com.qq.e.demo;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.RelativeLayout;

import com.qq.e.ads.AdRequest;
import com.qq.e.ads.AdSize;
import com.qq.e.ads.AdView;

public class BannerDemoActivity extends Activity {

	private AdView bannerAD;
	private RelativeLayout bannerContainer;
	private Button refreshButton;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_banner_demo);
		this.bannerContainer = (RelativeLayout) this.findViewById(R.id.bannercontainer);
		refreshButton = (Button) this.findViewById(R.id.refreshBannerButton);
		refreshButton.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				BannerDemoActivity.this.showBannerAD();
			}
		});
		Button showInListHeader = (Button) this.findViewById(R.id.showBannerInListHeaderButton);
		showInListHeader.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				startActivity(new Intent(BannerDemoActivity.this, BannerInListHeaderActivity.class));
			}
		});
	}

	@Override
	protected void onResume() {
		super.onResume();
		this.showBannerAD();
	}

	private void showBannerAD() {
		this.bannerAD = new AdView(this, AdSize.BANNER, Constants.APPId, Constants.BannerPosId);
		this.bannerContainer.removeAllViews();
		this.bannerContainer.addView(bannerAD);
		bannerAD.fetchAd(new AdRequest());
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// getMenuInflater().inflate(R.menu.banner_demo, menu);
		return true;
	}

}
