package com.qq.e.demo.feeds;

import java.util.List;

import android.app.Activity;
import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.RelativeLayout;

import com.qq.e.demo.R;
import com.qq.e.feedsad.FeedsADViewRef;
import com.qq.e.v2.util.GDTLogger;

public class MyStandardFeedsDemoAdapter extends BaseFeedsDemoAdapter {

  private Activity activity;
  
  
  public MyStandardFeedsDemoAdapter(Context context, List<FeedsItem> data,Activity activity) {
    super(context, data);
    this.activity = activity;
  }

  @Override
  protected View getViewFor(FeedsADItem adData, View convertView, View parent) {
    GDTLogger.d("convertView for AD=" + convertView);
    FeedsADViewRef ref = adData.getRef();
    RelativeLayout container = null;
    if (convertView != null && convertView instanceof RelativeLayout
        && "StandardFeedsItem".equals(convertView.getTag())) {
      container = (RelativeLayout) convertView;
    } else {
      container = (RelativeLayout) inflater.inflate(R.layout.feeds_ad_item_standard, null);
    }
    FrameLayout f = (FrameLayout) container.findViewById(R.id.aditemcontainer);
    View adConvertView = null;
    if (f.getChildCount() > 0) {
      adConvertView = f.getChildAt(0);
    }
    f.removeAllViews();
    View adview = ref.getView(adConvertView,activity);
    if (adview.getParent() != null && adview.getParent() instanceof ViewGroup) {
      ViewGroup p = (ViewGroup) adview.getParent();
      p.removeView(adview);
    }
    f.addView(adview);
    return container;
  }


}
